package com.mx.dla.dda.contrato.license.titulo.daos;

import java.util.Date;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.titulos.dtos.CatTitulo;

public interface TituloFeeDAO {

	public void borrarTitulosPorContrato (Long idContrato);
	
	CatTitulo buscarCatalogoTituloPorDesc(@Param("idEstudio")Long idEstudio,@Param("descTitulo")String descTitulo);
	void insertarCatTitulo(CatTitulo catTitulo);

	public Long buscarTitulosOtrosContratosXBV(@Param("fechaInicio")Date fechaInicio, @Param("fechaFin")Date fechaFin, @Param("idBV")String idBV, @Param("idLista")Long idLista);
	public Long buscarTitulosListaXBV         (@Param("fechaInicio")Date fechaInicio, @Param("fechaFin")Date fechaFin, @Param("idBV")String idBV, @Param("idLista")Long idLista, @Param("idTituloCnt")Long idTituloCnt);
	public Integer findCategoria(Long idCate);
	public Integer findSerieSeason(@Param("nombre")String nombre, @Param("temporada")String temporada);
	
	public void actualizarCostoTitulosExcel(@Param("costo")String costo, @Param("idContrato")Long idContrato);
}
